RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum

Identifies how parameters or fields are to be marshaled to unmanaged code.

This type provides a set of values that identify the native types that are supported by the CLI. Each native type is encoded by a different value. All encoding values in the range 0-63, inclusive, are reserved for backward compatibility with existing implementations of the CLI. Values in the range 64-127 are reserved for future use in this and related Standards.

- Field
  System.Runtime.InteropServices.UnmanagedType AnsiBStr To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType AsAny To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType Bool

  Specifies a 4-byte Boolean value where is denoted by all non-zero values and is denoted by zero.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType BStr To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType ByValArray

  Specifies an array of fixed size. This unmanaged type is valid only for an array in a structure.

  When is set to , the field is required to contain the number of elements in the array.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType ByValTStr To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType Currency To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType CustomMarshaler Specifies the custom marshaler class when used with or . To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType Error To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType FunctionPtr

  Specifies a function pointer.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType I1

  Specifies a 1-byte signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType I2

  Specifies a 2-byte signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType I4

  Specifies a 4-byte signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType I8

  Specifies an 8-byte signed integer.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType IDispatch To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType Interface To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType IUnknown To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType LPArray

  Specifies a C-style array. When marshaling from managed to unmanaged, the length of the array is determined by the length of the managed array. When marshaling from unmanaged to managed, the length of the array is determined from the and fields.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType LPStr

  Specifies a pointer to an ANSI character string.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType LPStruct To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType LPTStr

  Specifies a pointer to the preferred character string representation for the current platform.

  A type library exported with an on an ANSI platform will have a different size than one exported on a Unicode platform.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType LPWStr

  Specifies a pointer to a Unicode character string.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType R4

  Specifies a 4-byte floating-point number.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType R8

  Specifies an 8-byte floating-point number.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType SafeArray To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType Struct

  A C-style structure, used to marshal managed formatted classes and value types.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType SysInt Specifies an implementation-specific sized signed integer. To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType SysUInt

  Specifies an implementation-specific sized unsigned integer.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType TBStr

  Specifies a pointer to the preferred BSTR representation for the current platform - Unicode or SBCS.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType U1

  Specifies a 1-byte unsigned integer.

  can be used to marshal a parameter as an ANSI character.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType U2

  Specifies a 2-byte unsigned integer.

  can be used to marshal a parameter as a Unicode character.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType U4

  Specifies a 4-byte unsigned integer.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType U8

  Specifies an 8-byte unsigned integer.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType VariantBool To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Runtime.InteropServices.UnmanagedType VBByRefStr To be added. To be added. 1.0.5000.0 2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)